{% load wagtailimages_tags %}

<div id="carousel-{{ carousel_id }}" class="carousel slide" data-interval="false">
    <!-- Button trigger modal -->
    <button type="button" class="fullscreen" data-toggle="modal" data-target="#carouselModal-{{ carousel_id }}">
      <span aria-hidden="true" class="fa fa-expand"></span>
    </button>
    {% if images|length > 1 %}
        <ol class="carousel-indicators">
            {% for image in images %}
                <li data-target="#carousel-{{ carousel_id }}"
                    data-slide-to="{{ forloop.counter0 }}"
                    class="{% if forloop.first %}active{% endif %}">
                </li>
            {% endfor %}
        </ol>
    {% endif %}
    <div class="carousel-inner">
        {% for image in images %}
            <div class="carousel-item {% if forloop.first %}active{% endif %}">
                {% image image.image max-1200x700 as wagtail_image %}
                {% if wagtail_image.width > wagtail_image.height %}
                    <img {{ wagtail_image.attrs }} class="carousel-image-landscape" />
                {% else %}
                    <img {{ wagtail_image.attrs }} class="carousel-image-portrait" />
                {% endif %}
                <div class="carousel-caption d-none d-md-block">
                    <p>{{ image.caption }}</p>
                </div>
            </div>
        {% endfor %}
    </div>
    {% if images|length > 1 %}
        <a class="carousel-control-prev"
           href="#carousel-{{ carousel_id }}"
           role="button"
           data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next"
           href="#carousel-{{ carousel_id }}"
           role="button"
           data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    {% endif %}
</div>

<!-- Carousel modal -->
<div class="modal fade carousel-modal" id="carouselModal-{{ carousel_id }}" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <div id="carousel-modal-{{ carousel_id }}" class="carousel slide">
            {% if images|length > 1 %}
                <ol class="carousel-indicators">
                    {% for image in images %}
                        <li data-target="#carousel-modal-{{ carousel_id }}"
                            data-slide-to="{{ forloop.counter0 }}"
                            class="{% if forloop.first %}active{% endif %}">
                        </li>
                    {% endfor %}
                </ol>
            {% endif %}
            <div class="carousel-inner">
                {% for image in images %}
                    <div class="carousel-item {% if forloop.first %}active{% endif %}">
                        {% image image.image max-4000x2250 class="carousel-modal-image" %}
                        <div class="carousel-caption d-none d-md-block">
                            <p>{{ image.caption }}</p>
                        </div>
                    </div>
                {% endfor %}
            </div>
            {% if images|length > 1 %}
                <a class="carousel-control-prev"
                   href="#carousel-modal-{{ carousel_id }}"
                   role="button"
                   data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next"
                   href="#carousel-modal-{{ carousel_id }}"
                   role="button"
                   data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            {% endif %}
        </div>
      </div>
    </div>
  </div>
</div>